diff --git a/config/backup/includes/bluetooth b/config/backup/includes/bluetooth
deleted file mode 100644
index 342aa6296..000000000
--- a/config/backup/includes/bluetooth
+++ /dev/null
@@ -1,2 +0,0 @@
-/etc/bluetooth/
-/var/ipfire/bluetooth/
diff --git a/config/menu/EX-bluetooth.menu b/config/menu/EX-bluetooth.menu
deleted file mode 100644
index b7f1728a5..000000000
--- a/config/menu/EX-bluetooth.menu
+++ /dev/null
@@ -1,5 +0,0 @@
-    $subipfire->{'55.bluetooth'} = {'caption' => bluetooth,
-				  'uri' => '/cgi-bin/bluetooth.cgi',
-				  'title' => bluetooth,
-				  'enabled' => 1,
-				  };
diff --git a/config/rootfiles/common/web-user-interface b/config/rootfiles/common/web-user-interface
index a88dd8770..a3636002e 100644
--- a/config/rootfiles/common/web-user-interface
+++ b/config/rootfiles/common/web-user-interface
@@ -7,7 +7,6 @@ srv/web/ipfire/cgi-bin/aliases.cgi
 #srv/web/ipfire/cgi-bin/asterisk/status.cgi
 srv/web/ipfire/cgi-bin/atm-status.cgi
 srv/web/ipfire/cgi-bin/backup.cgi
-srv/web/ipfire/cgi-bin/bluetooth.cgi
 #srv/web/ipfire/cgi-bin/captive
 srv/web/ipfire/cgi-bin/captive.cgi
 srv/web/ipfire/cgi-bin/captive/index.cgi
diff --git a/html/cgi-bin/bluetooth.cgi b/html/cgi-bin/bluetooth.cgi
deleted file mode 100644
index 32bd8e8e0..000000000
--- a/html/cgi-bin/bluetooth.cgi
+++ /dev/null
@@ -1,187 +0,0 @@
-#!/usr/bin/perl
-###############################################################################
-#                                                                             #
-# IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007  Michael Tremer & Christian Schmidt                      #
-#                                                                             #
-# This program is free software: you can redistribute it and/or modify        #
-# it under the terms of the GNU General Public License as published by        #
-# the Free Software Foundation, either version 3 of the License, or           #
-# (at your option) any later version.                                         #
-#                                                                             #
-# This program is distributed in the hope that it will be useful,             #
-# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
-# GNU General Public License for more details.                                #
-#                                                                             #
-# You should have received a copy of the GNU General Public License           #
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
-#                                                                             #
-###############################################################################
-#
-
-use strict;
-
-# enable only the following on debugging purpose
-use warnings;
-use CGI::Carp 'fatalsToBrowser';
-
-require '/var/ipfire/general-functions.pl';
-require '/var/ipfire/lang.pl';
-require '/var/ipfire/header.pl';
-
-my $debug = 0;
-my $i = 0;
-my $errormessage = '';
-my $status_started = "<td align='center' bgcolor='${Header::colourgreen}'><font color='white'><b>$Lang::tr{'running'}</b></font></td>";
-my $status_stopped = "<td align='center' bgcolor='${Header::colourred}'><font color='white'><b>$Lang::tr{'stopped'}</b></font></td>";
-
-# get rid of used only once warnings
-my @onlyonce = ( $Header::colourgreen, $Header::colourred );
-undef @onlyonce;
-
-my %selected=();
-my %checked=();
-my %color = ();
-my %mainsettings = ();
-
-&General::readhash("${General::swroot}/main/settings", \%mainsettings);
-&General::readhash("/srv/web/ipfire/html/themes/".$mainsettings{'THEME'}."/include/colors.txt", \%color);
-
-my %bluetoothsettings=();
-$bluetoothsettings{'PASSKEY_AGENT'} = 'on';
-$bluetoothsettings{'PWD'} = '12345';
-$bluetoothsettings{'RFCOMM0_BIND'} = 'off';
-$bluetoothsettings{'RFCOMM0_DEVICE'} = '';
-$bluetoothsettings{'RFCOMM0_CHANNEL'} = '1';
-$bluetoothsettings{'RFCOMM1_BIND'} = 'off';
-$bluetoothsettings{'RFCOMM1_DEVICE'} = '';
-$bluetoothsettings{'RFCOMM1_CHANNEL'} = '1';
-
-&General::readhash("/var/ipfire/bluetooth/settings", \%bluetoothsettings);
-
-my %cgiparams=();
-$cgiparams{'ACTION'} = '';
-$cgiparams{'RUNNING'} = 'off';
-$cgiparams{'PASSKEY_AGENT'} = 'off';
-$cgiparams{'PWD'} = '';
-$cgiparams{'RFCOMM0_BIND'} = 'off';
-$cgiparams{'RFCOMM0_DEVICE'} = '';
-$cgiparams{'RFCOMM0_CHANNEL'} = '';
-$cgiparams{'RFCOMM1_BIND'} = 'off';
-$cgiparams{'RFCOMM1_DEVICE'} = '';
-$cgiparams{'RFCOMM1_CHANNEL'} = '';
-
-
-&Header::getcgihash(\%cgiparams);
-
-&Header::showhttpheaders();
-
-if ( $cgiparams{'ACTION'} eq "$Lang::tr{'save'}" ){
-	$bluetoothsettings{'PASSKEY_AGENT'}  = $cgiparams{'PASSKEY_AGENT'};
-	$bluetoothsettings{'PWD'}  = $cgiparams{'PWD'};
-	if ( (length($bluetoothsettings{'PWD'}) < 4) || (length($bluetoothsettings{'PWD'}) > 8) ){
-		$errormessage .= "Invalid length in Passphrase. Must be between 4 and 8 characters.<br />";
-	}
-	$bluetoothsettings{'RFCOMM0_BIND'}  = $cgiparams{'RFCOMM0_BIND'};
-	$bluetoothsettings{'RFCOMM1_BIND'}  = $cgiparams{'RFCOMM1_BIND'};
-	$bluetoothsettings{'RFCOMM0_DEVICE'}  = $cgiparams{'RFCOMM0_DEVICE'};
-	$bluetoothsettings{'RFCOMM1_DEVICE'}  = $cgiparams{'RFCOMM1_DEVICE'};
-	$bluetoothsettings{'RFCOMM0_CHANNEL'}  = $cgiparams{'RFCOMM0_CHANNEL'};
-	$bluetoothsettings{'RFCOMM1_CHANNEL'}  = $cgiparams{'RFCOMM1_CHANNEL'};
-	
-# TODO: CHECK RFCOMM DEVICES
-
-	if ( $errormessage eq '' ){
-		&WriteConfig();
-		system("/usr/local/bin/addonctrl bluetooth restart >/dev/null 2>&1")
-	}
-}
-
-&Header::openpage('Bluetooth', 1, '', '');
-&Header::openbigbox('100%', 'left', '', $errormessage);
-print "<form method='post' action='$ENV{'SCRIPT_NAME'}'>";
-
-if ( $errormessage ){
-	&Header::openbox('100%', 'left', $Lang::tr{'error messages'});
-	print "<class name='base'>$errormessage\n";
-	print "&nbsp;</class>\n";
-	&Header::closebox();
-}
-
-
-# Found this usefull piece of code in BlockOutTraffic AddOn  8-)
-#   fwrules.cgi
-###############
-# DEBUG DEBUG
-if ( $debug ){
-	&Header::openbox('100%', 'left', 'DEBUG');
-	my $debugCount = 0;
-	foreach my $line (sort keys %cgiparams) {
-		print "$line = '$cgiparams{$line}'<br />\n";
-		$debugCount++;
-	}
-	print "&nbsp;Count: $debugCount\n";
-	&Header::closebox();
-}
-# DEBUG DEBUG
-###############
-
-
-my $checked_passkey_agent = '';
-my $checked_rfcomm0_bind = '';
-my $checked_rfcomm1_bind = '';
-
-$checked_passkey_agent = "checked='checked'" if ( $bluetoothsettings{'PASSKEY_AGENT'} eq 'on' );
-$checked_rfcomm0_bind = "checked='checked'" if ( $bluetoothsettings{'RFCOMM0_BIND'} eq 'on' );
-$checked_rfcomm1_bind = "checked='checked'" if ( $bluetoothsettings{'RFCOMM1_BIND'} eq 'on' );
-
-#
-# Devices box
-#
-&Header::openbox('100%', 'left', "Bluetooth devices in range");
-print <<END
-<table width='100%'>
-END
-;
-my $bluetooth_scan = `hcitool scan | grep -v "Scanning ..." | sed 's|:|-|g'`;
-
-print "<table width='80%'><td bgcolor='${Header::colourblue}'><font color='white'><pre>$bluetooth_scan</pre></font></td></table>";
-
-&Header::closebox();
-
-#
-# Bluetooth settings
-#
-&Header::openbox('100%', 'left', "Bluetooth Settings");
-print <<END
-<table width='100%'>
-<tr><td width='25%' class='base'>Passkey-Agent:&nbsp;</td><td class='base'><input type='checkbox' name='PASSKEY_AGENT' $checked_passkey_agent /></td>
-    <td width='25%' class='base'>Password:&nbsp;</td><td class='base'><input type='text' name='PWD' size='8' value='$bluetoothsettings{'PWD'}' /></td></tr>
-<tr><td width='25%' class='base'>Bind rfcomm0:&nbsp;</td><td class='base' colspan='3'><input type='checkbox' name='RFCOMM0_BIND' $checked_rfcomm0_bind />
-    Device:&nbsp; <input type='text' name='RFCOMM0_DEVICE' size='17' value='$bluetoothsettings{'RFCOMM0_DEVICE'}' />
-    Channel:&nbsp; <input type='text' name='RFCOMM0_CHANNEL' size='1' value='$bluetoothsettings{'RFCOMM0_CHANNEL'}' /></td></tr>
-<tr><td width='25%' class='base'>Bind rfcomm1:&nbsp;</td><td class='base' colspan='3'><input type='checkbox' name='RFCOMM1_BIND' $checked_rfcomm1_bind />
-    Device:&nbsp; <input type='text' name='RFCOMM1_DEVICE' size='17' value='$bluetoothsettings{'RFCOMM1_DEVICE'}' />
-    Channel:&nbsp; <input type='text' name='RFCOMM1_CHANNEL' size='1' value='$bluetoothsettings{'RFCOMM1_CHANNEL'}' /></td></tr>
-
-</table>
-<hr /><table width='100%'>
-<tr>
-<td width='55%' class='base' valign='top'>&nbsp;</td>
-<td width='40%' align='center'><input type='submit' name='ACTION' value='$Lang::tr{'save'}' /></td>
-</tr>
-</table>
-END
-;
-&Header::closebox();
-
-print "</form>";
-&Header::closebigbox();
-&Header::closepage();
-
-
-sub WriteConfig{
-	&General::writehash("/var/ipfire/bluetooth/settings", \%bluetoothsettings);
-}
-
diff --git a/lfs/bluetooth b/lfs/bluetooth
deleted file mode 100644
index 2a0130085..000000000
--- a/lfs/bluetooth
+++ /dev/null
@@ -1,134 +0,0 @@
-###############################################################################
-#                                                                             #
-# IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
-#                                                                             #
-# This program is free software: you can redistribute it and/or modify        #
-# it under the terms of the GNU General Public License as published by        #
-# the Free Software Foundation, either version 3 of the License, or           #
-# (at your option) any later version.                                         #
-#                                                                             #
-# This program is distributed in the hope that it will be useful,             #
-# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
-# GNU General Public License for more details.                                #
-#                                                                             #
-# You should have received a copy of the GNU General Public License           #
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
-#                                                                             #
-###############################################################################
-
-###############################################################################
-# Definitions
-###############################################################################
-
-include Config
-
-VER        = 3.36
-
-THISAPP    = bluez-libs-$(VER)
-DL_FILE    = $(THISAPP).tar.gz
-DL_FROM    = $(URL_IPFIRE)
-DIR_APP    = $(DIR_SRC)/$(THISAPP)
-TARGET     = $(DIR_INFO)/$(THISAPP)
-PROG       = bluetooth
-PAK_VER    = 1
-
-DEPS       = "dbus"
-
-###############################################################################
-# Top-level Rules
-###############################################################################
-
-objects = $(DL_FILE) bluez-utils-$(VER).tar.gz bluez-firmware-1.2.tar.gz bluez-hcidump-1.42.tar.gz
-
-$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
-bluez-utils-$(VER).tar.gz = $(DL_FROM)/bluez-utils-$(VER).tar.gz
-bluez-firmware-1.2.tar.gz = $(DL_FROM)/bluez-firmware-1.2.tar.gz
-bluez-hcidump-1.42.tar.gz = $(DL_FROM)/bluez-hcidump-1.42.tar.gz
-
-$(DL_FILE)_MD5 = 8c2ca546c0e7bb73dbd0e906fce7f6b1
-bluez-utils-$(VER).tar.gz_MD5 = 4fc292b635ba7b442c7aaf5680199012
-bluez-firmware-1.2.tar.gz_MD5 = 1cc3cefad872e937e05de5a0a2b390dd
-bluez-hcidump-1.42.tar.gz_MD5 = 5704737aaf72104eeaf77335218a1827
-
-install : $(TARGET)
-
-check : $(patsubst %,$(DIR_CHK)/%,$(objects))
-
-download :$(patsubst %,$(DIR_DL)/%,$(objects))
-
-md5 : $(subst %,%_MD5,$(objects))
-
-dist: 
-	@$(PAK)
-
-###############################################################################
-# Downloading, checking, md5sum
-###############################################################################
-
-$(patsubst %,$(DIR_CHK)/%,$(objects)) :
-	@$(CHECK)
-
-$(patsubst %,$(DIR_DL)/%,$(objects)) :
-	@$(LOAD)
-
-$(subst %,%_MD5,$(objects)) :
-	@$(MD5)
-
-###############################################################################
-# Installation Details
-###############################################################################
-
-$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
-	@$(PREBUILD)
-	@rm -rf $(DIR_SRC)/bluez*
-	cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && tar xzf $(DIR_DL)/bluez-utils-$(VER).tar.gz
-	cd $(DIR_APP) && tar xzf $(DIR_DL)/bluez-firmware-1.2.tar.gz
-	cd $(DIR_APP) && tar xzf $(DIR_DL)/bluez-hcidump-1.42.tar.gz
-	$(UPDATE_AUTOMAKE)
-	cd $(DIR_APP) && ./configure --prefix=/usr \
-	    --sysconfdir=/etc --localstatedir=/var --libexecdir=/lib
-	cd $(DIR_APP) && make $(MAKETUNING)
-	cd $(DIR_APP) && make install
-	cd $(DIR_APP)/bluez-utils-$(VER) && ./configure --prefix=/usr \
-	    --sysconfdir=/etc --localstatedir=/var --libexecdir=/lib \
-	    --enable-alsa --enable-usb --enable-netlink --enable-tools \
-	    --enable-bccmd --enable-hid2hci --enable-dfutool --enable-hidd \
-	    --enable-pand --enable-dund --enable-cups --enable-test \
-	    --enable-configfiles --enable-pcmciarules
-	cd $(DIR_APP)/bluez-utils-$(VER) && make $(MAKETUNING)
-	cd $(DIR_APP)/bluez-utils-$(VER) && make install
-	cd $(DIR_APP)/bluez-utils-$(VER) && install -m 755 \
-		test/passkey-agent /usr/bin/passkey-agent
-	cd $(DIR_APP)/bluez-firmware-1.2 && ./configure --libdir=/lib
-	cd $(DIR_APP)/bluez-firmware-1.2 && make $(MAKETUNING)
-	cd $(DIR_APP)/bluez-firmware-1.2 && make install
-	cd $(DIR_APP)/bluez-hcidump-1.42 && ./configure --prefix=/usr \
-	    --sysconfdir=/etc --localstatedir=/var --libexecdir=/lib
-	cd $(DIR_APP)/bluez-hcidump-1.42 && make $(MAKETUNING)
-	cd $(DIR_APP)/bluez-hcidump-1.42 && make install
-	mv -f /etc/udev/bluetooth.rules /lib/udev/rules.d/24-bluetooth.rules
-	# Patch udev rules for new udev version
-	sed -i -e "s/SYSFS{/ATTRS{/g" /lib/udev/rules.d/24-bluetooth.rules
-	sed -i -e "s/BUS==/SUBSYSTEMS==/g" /lib/udev/rules.d/24-bluetooth.rules
-	# Change bluetooth peername to Hostname-devicenumber
-	sed -i -e 's|name "BlueZ (%d)";|name "%h-%d";|g' /etc/bluetooth/hcid.conf
-	# Create empty config files
-	echo '# Bluetooth audio configuration' > /etc/bluetooth/audio.conf
-	echo '# Bluetooth main configuration' > /etc/bluetooth/main.conf
-	echo '# Bluetooth input configuration' > /etc/bluetooth/input.conf
-	echo '# Bluetooth network configuration' > /etc/bluetooth/network.conf
-	echo '# Bluetooth rfcomm configuration' > /etc/bluetooth/rfcomm.conf
-	mkdir -p /var/ipfire/bluetooth
-	touch /var/ipfire/bluetooth/settings
-	chown nobody:nobody /var/ipfire/bluetooth/settings
-	chmod 644 /var/ipfire/bluetooth/settings
-	install -v -m 644 $(DIR_SRC)/config/backup/includes/bluetooth /var/ipfire/backup/addons/includes/bluetooth
-
-	#install initscripts
-	$(call INSTALL_INITSCRIPT,bluetooth)
-
-	@rm -rf $(DIR_SRC)/bluez*
-	@$(POSTBUILD)
diff --git a/lfs/cups b/lfs/cups
index dfa41188c..2a564ccaa 100644
--- a/lfs/cups
+++ b/lfs/cups
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -32,9 +32,9 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/cups-$(VER)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = cups
-PAK_VER    = 18
+PAK_VER    = 19
 
-DEPS       = "avahi bluetooth cups-filters dbus ghostscript krb5 libtiff"
+DEPS       = "avahi cups-filters dbus ghostscript krb5 libtiff"
 
 ###############################################################################
 # Top-level Rules
diff --git a/lfs/initscripts b/lfs/initscripts
index 3a769bd99..173a0b142 100644
--- a/lfs/initscripts
+++ b/lfs/initscripts
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -102,9 +102,6 @@ $(TARGET) :
 	ln -sf ../init.d/messagebus  /etc/rc.d/rc3.d/S15messagebus
 	ln -sf ../init.d/messagebus  /etc/rc.d/rc0.d/K85messagebus
 	ln -sf ../init.d/messagebus  /etc/rc.d/rc6.d/K85messagebus
-	ln -sf ../init.d/bluetooth   /etc/rc.d/rc3.d/S16bluetooth
-	ln -sf ../init.d/bluetooth   /etc/rc.d/rc0.d/K84bluetooth
-	ln -sf ../init.d/bluetooth   /etc/rc.d/rc6.d/K84bluetooth
 	ln -sf ../init.d/cpufreq     /etc/rc.d/rc3.d/S18cpufreq
 	ln -sf ../init.d/sysklogd    /etc/rc.d/rc6.d/K90sysklogd
 	ln -sf ../init.d/sendsignals /etc/rc.d/rc6.d/S60sendsignals
diff --git a/make.sh b/make.sh
index 984fc95b2..72603f2cd 100755
--- a/make.sh
+++ b/make.sh
@@ -1498,7 +1498,6 @@ buildipfire() {
   lfsmake2 syslinux
   lfsmake2 tftpd
   lfsmake2 cpufrequtils
-  lfsmake2 bluetooth
   lfsmake2 gutenprint
   lfsmake2 apcupsd
   lfsmake2 iperf