diff --git a/config/rootfiles/common/web-user-interface b/config/rootfiles/common/web-user-interface
index 52f879d35..6c2a40cc2 100644
--- a/config/rootfiles/common/web-user-interface
+++ b/config/rootfiles/common/web-user-interface
@@ -235,6 +235,7 @@ srv/web/ipfire/html/images/off.gif
 srv/web/ipfire/html/images/on.gif
 srv/web/ipfire/html/images/openvpn.gif
 srv/web/ipfire/html/images/openvpn.png
+srv/web/ipfire/html/images/openvpn_encrypted.png
 srv/web/ipfire/html/images/package-x-generic.png
 srv/web/ipfire/html/images/printer-error.png
 srv/web/ipfire/html/images/printer.png
diff --git a/html/html/images/openvpn_encrypted.png b/html/html/images/openvpn_encrypted.png
new file mode 100644
index 0000000000000000000000000000000000000000..873c6c46113df0b973022c9c0f3a01cba19c0fbd
GIT binary patch
-- 
2.42.0