diff --git a/config/rootfiles/common/web-user-interface b/config/rootfiles/common/web-user-interface
index 18a8060e0..49f7dc9ea 100644
--- a/config/rootfiles/common/web-user-interface
+++ b/config/rootfiles/common/web-user-interface
@@ -344,7 +344,6 @@ srv/web/ipfire/html/redirect-templates/legacy/template.html
 srv/web/ipfire/html/redirect.cgi
 srv/web/ipfire/html/themes
 srv/web/ipfire/html/themes/ipfire
-srv/web/ipfire/html/themes/ipfire/images/tux2.png
 srv/web/ipfire/html/themes/ipfire/include
 srv/web/ipfire/html/themes/ipfire/include/colors.txt
 srv/web/ipfire/html/themes/ipfire/include/css
diff --git a/html/html/themes/ipfire/images/tux2.png b/html/html/themes/ipfire/images/tux2.png
deleted file mode 100644
index cd84ad53d54b0b0d2fa7646fee9746c160bc6841..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/html/html/themes/ipfire/include/css/style.css b/html/html/themes/ipfire/include/css/style.css
--- a/html/html/themes/ipfire/include/css/style.css
+++ b/html/html/themes/ipfire/include/css/style.css
@@ -121,7 +121,6 @@ iframe {
 /* Header */
 
 #header {
-	height: 70px;
 	margin: 0 auto;
 }
 
@@ -133,11 +132,14 @@ iframe {
 }
 
 #logo h1 {
-	color: #fff;
-	font-size: 3.6em;
+	color: #ffffff;
+	font-size: 3.5em;
 	font-weight: bold;
-	padding-top: 0.2em;
-	padding-left: 1.7em;
+}
+
+#logo h1 a {
+	color: inherit;
+	text-decoration: none;
 }
 
 /* Main */
diff --git a/html/html/themes/ipfire/include/functions.pl b/html/html/themes/ipfire/include/functions.pl
index cbd05d109..27693bcb3 100644
--- a/html/html/themes/ipfire/include/functions.pl
+++ b/html/html/themes/ipfire/include/functions.pl
@@ -140,17 +140,18 @@ print <<END
 	<body>
 		<div id="header" class="fixed">
 			<div id="logo">
-				<a href="https://www.ipfire.org" style="text-decoration: none;">
-					<img src="/themes/ipfire/images/tux2.png" style="float:left; margin-left: -3px; margin-top: -3px;"/>
+				<h1>
+					<a href="https://www.ipfire.org">
+						IPFire_
+					</a>
 END
 ;
 	if ($settings{'WINDOWWITHHOSTNAME'} ne 'off') {
-		print "</a><h1>$settings{'HOSTNAME'}.$settings{'DOMAINNAME'}</h1>";
-	} else {
-		print "<h1>IPFire</h1></a>";
+		print "&dash; $settings{'HOSTNAME'}.$settings{'DOMAINNAME'}";
 	}
 
 print <<END
+				</h1>
 			</div>
 		</div>
 END